cURL
curl --request GET \
--url 'https://app.teable.ai/api/base/access/all?orderBy=SOME_STRING_VALUE' \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'const url = 'https://app.teable.ai/api/base/access/all?orderBy=SOME_STRING_VALUE';
const options = {method: 'GET', headers: {Authorization: 'Bearer REPLACE_BEARER_TOKEN'}};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'GET',
hostname: 'app.teable.ai',
port: null,
path: '/api/base/access/all?orderBy=SOME_STRING_VALUE',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }
conn.request("GET", "/api/base/access/all?orderBy=SOME_STRING_VALUE", headers=headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
[
{
"id": "<string>",
"name": "<string>",
"spaceId": "<string>",
"icon": "<string>",
"role": "owner",
"createdBy": "<string>",
"collaboratorType": "space",
"restrictedAuthority": true,
"enabledAuthority": true,
"lastModifiedTime": "<string>",
"createdTime": "<string>",
"personalOrder": 123,
"template": {
"id": "<string>",
"headers": "<string>"
},
"createdUser": {
"id": "<string>",
"name": "<string>",
"avatar": "<string>"
},
"isCanary": true,
"v2Status": {
"useV2": true,
"reason": "env_force_v2_all"
},
"isShared": true
}
]project
List accessible projects
List projects accessible to the current user using the supplied query.
GET
/
base
/
access
/
all
cURL
Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parámetros de consulta
Opciones disponibles:
space, personal Respuesta
200 - application/json
Returns the list of projects accessible to the current user.
Opciones disponibles:
owner, creator, editor, commenter, viewer Opciones disponibles:
space, base Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Última modificación el 15 de septiembre de 2026
¿Esta página le ayudó?

